Index: dassmodus/trunk/dassmodus/packaging/create_rpm_sources.sh
===================================================================
--- dassmodus/trunk/dassmodus/packaging/create_rpm_sources.sh	(revision 965)
+++ dassmodus/trunk/dassmodus/packaging/create_rpm_sources.sh	(revision 973)
@@ -9,7 +9,6 @@
 fi
 
-for PACK in dassmodus nosferatu; do
 
-MODULENAME=$PACK
+MODULENAME=nosferatu
 VERSION=$1
 
@@ -17,16 +16,29 @@
 cp -av ../${MODULENAME}/*  python-${MODULENAME}-${VERSION}
 
-# dassmodus package also contains templates
-if [ $1 = dassmodus ] 
-then
-cp -av ../templates  python-${MODULENAME}-${VERSION}
-fi 
-
 # copy setup.py file into directory
 cp ${MODULENAME}/setup.py python-${MODULENAME}-${VERSION}
 # remove svn secific files
 find -type d | grep .svn | xargs rm -R
+
 tar cjvf python-${MODULENAME}-${VERSION}.tar.bz2 python-${MODULENAME}-${VERSION}
 rm -Rvf python-${MODULENAME}-${VERSION}
 
-done
+
+MODULENAME=dassmodus
+VERSION=$1
+
+mkdir ${MODULENAME}-${VERSION}
+cp -av ../${MODULENAME}/* ${MODULENAME}-${VERSION}
+
+# copy setup.py file into directory
+cp ${MODULENAME}/setup.py ${MODULENAME}-${VERSION}
+# remove svn secific files
+find -type d | grep .svn | xargs rm -R
+
+# dassmodus package also contains templates
+cp -av ../templates  ${MODULENAME}-${VERSION}
+
+tar cjvf ${MODULENAME}-${VERSION}.tar.bz2 ${MODULENAME}-${VERSION}
+rm -Rvf ${MODULENAME}-${VERSION}
+
+
Index: dassmodus/trunk/dassmodus/packaging/dassmodus.spec
===================================================================
--- dassmodus/trunk/dassmodus/packaging/dassmodus.spec	(revision 973)
+++ dassmodus/trunk/dassmodus/packaging/dassmodus.spec	(revision 973)
@@ -0,0 +1,80 @@
+#
+# This file and all modifications and additions to the pristine
+# package are under the same license as the package itself.
+#
+# norootforbuild
+
+Name:           dassmodus
+Version:        0.4
+Release:        1
+Summary:        Python Package to edit Bacula Configuration Files
+License:        Your Package License
+Group:          Development/Libraries/Python
+Source:         %{name}-%{version}.tar.bz2
+Source1: 	dassModus.desktop
+BuildRequires:  python-devel
+BuildRoot:      %{_tmppath}/%{name}-%{version}-build
+
+%define python_site    %{_prefix}/%{_lib}/python%{py_ver}/site-packages
+
+%if 0%{?suse_version} && 0%{?suse_version} > 1110 
+BuildArch:	noarch
+%endif
+
+# py_requires is no longer needed since 11.3
+%if 0%{?suse_version}
+%{py_requires}
+%endif
+
+%if 0%{?suse_version}
+BuildRequires:	update-desktop-files
+%endif
+
+Requires: 	python-qt4
+Requires: 	python-nosferatu
+
+%description
+dassModus is the frontend for editing bacula configuration files.
+More Info on http://www.dassmodus.org
+
+%prep
+%setup -q
+
+
+%build
+%{__python} setup.py build
+
+
+%install
+%if 0%{?suse_version}
+%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES
+%else
+%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot} --record=INSTALLED_FILES
+%endif
+
+mkdir -p  ${RPM_BUILD_ROOT}/usr/bin
+# create start script 
+echo "#!/bin/sh
+exec \"/usr/bin/dassModus.py\" \"$@\"
+" > ${RPM_BUILD_ROOT}/usr/bin/dassModus
+chmod +x ${RPM_BUILD_ROOT}/usr/bin/dassModus
+
+# install icon
+mkdir -p ${RPM_BUILD_ROOT}/usr/share/pixmaps/
+cp dassmodus/icons/DassModusLogo/logo64.png ${RPM_BUILD_ROOT}/usr/share/pixmaps/dassModus.png
+
+#  desktop file
+%if 0%{?suse_version}
+%suse_update_desktop_file -i -r -n dassModus System Backup
+%else
+mkdir -p ${RPM_BUILD_ROOT}/usr/share/applications/
+cp %{SOURCE1}  ${RPM_BUILD_ROOT}/usr/share/applications/
+%endif
+
+%files -f INSTALLED_FILES
+%defattr(-,root,root)
+/usr/bin/dassModus
+/usr/share/pixmaps/dassModus.png
+/usr/share/applications/dassModus.desktop
+
+%changelog 
Index: dassmodus/trunk/dassmodus/packaging/python-dassmodus.spec
===================================================================
--- dassmodus/trunk/dassmodus/packaging/python-dassmodus.spec	(revision 965)
+++ 	(revision )
@@ -1,51 +1,0 @@
-#
-# This file and all modifications and additions to the pristine
-# package are under the same license as the package itself.
-#
-# norootforbuild
-
-Name:           python-dassmodus
-Version:        0.2
-Release:        1
-Summary:        Python Package to edit Bacula Configuration Files
-License:        Your Package License
-Group:          Development/Libraries/Python
-Source:         %{name}-%{version}.tar.bz2
-BuildRequires:  python-devel
-BuildRoot:      %{_tmppath}/%{name}-%{version}-build
-
-%if 0%{?suse_version} && 0%{?suse_version} > 1110 
-BuildArch:	noarch
-%endif
-
-# py_requires is no longer needed since 11.3
-%if 0%{?suse_version}
-%{py_requires}
-%endif
-
-Requires: 	python-qt4
-Requires: 	python-nosferatu
-
-%description
-dassModus is the frontend for editing bacula configuration files.
-More Info on http://www.dassmodus.org
-
-%prep
-%setup -q
-
-
-%build
-%{__python} setup.py build
-
-
-%install
-%if 0%{?suse_version}
-%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES
-%else
-%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot} --record=INSTALLED_FILES
-%endif
-
-%files -f INSTALLED_FILES
-%defattr(-,root,root)
-
-%changelog 