Index: dassmodus/trunk/dassmodus/nosferatu/nosferatu/auto_configrules.py
===================================================================
--- dassmodus/trunk/dassmodus/nosferatu/nosferatu/auto_configrules.py	(revision 953)
+++ dassmodus/trunk/dassmodus/nosferatu/nosferatu/auto_configrules.py	(revision 990)
@@ -4,7 +4,5 @@
 #
 # This file is autogenerated from the bacula sources.
-#
-# $Id: auto_configrules.py 12290 2011-02-10 14:02:38Z pstorz $
- 
+# 
 from auto_types import *
 from config_classes import *
@@ -23,5 +21,6 @@
   Item('dbuser', None, None, False, 'store_str', False),
   Item('description', None, None, False, 'store_str', False),
-  Item('multipleconnections', True, True, False, 'store_bit', False),
+  Item('disablebatchinsert', False, False, True, 'store_bool', False),
+  Item('multipleconnections', False, False, False, 'store_bit', False),
   Item('password', None, None, False, 'store_str', False),
   Item('user', None, None, False, 'store_str', False),
@@ -43,11 +42,11 @@
   Item('password', None, None, False, 'store_password', True),
   Item('tlsallowedcn', None, None, False, 'store_alist_str', False),
-  Item('tlsauthenticate', True, True, False, 'store_bool', False),
-  Item('tlscacertificatedir', None, None, False, 'store_dir', False),
-  Item('tlscacertificatefile', None, None, False, 'store_dir', False),
-  Item('tlscertificate', None, None, False, 'store_dir', False),
-  Item('tlsenable', True, True, False, 'store_bool', False),
-  Item('tlskey', None, None, False, 'store_dir', False),
-  Item('tlsrequire', True, True, False, 'store_bool', False),
+  Item('tlsauthenticate', False, False, False, 'store_bool', False),
+  Item('tlscacertificatedir', None, None, False, 'store_dir', False),
+  Item('tlscacertificatefile', None, None, False, 'store_dir', False),
+  Item('tlscertificate', None, None, False, 'store_dir', False),
+  Item('tlsenable', False, False, False, 'store_bool', False),
+  Item('tlskey', None, None, False, 'store_dir', False),
+  Item('tlsrequire', False, False, False, 'store_bool', False),
 ]
 
@@ -67,12 +66,12 @@
   Item('storageacl', None, None, False, 'store_acl', False),
   Item('tlsallowedcn', None, None, False, 'store_alist_str', False),
-  Item('tlsauthenticate', True, True, False, 'store_bool', False),
+  Item('tlsauthenticate', False, False, False, 'store_bool', False),
   Item('tlscacertificatedir', None, None, False, 'store_dir', False),
   Item('tlscacertificatefile', None, None, False, 'store_dir', False),
   Item('tlscertificate', None, None, False, 'store_dir', False),
   Item('tlsdhfile', None, None, False, 'store_dir', False),
-  Item('tlsenable', True, True, False, 'store_bool', False),
-  Item('tlskey', None, None, False, 'store_dir', False),
-  Item('tlsrequire', True, True, False, 'store_bool', False),
+  Item('tlsenable', False, False, False, 'store_bool', False),
+  Item('tlskey', None, None, False, 'store_dir', False),
+  Item('tlsrequire', False, False, False, 'store_bool', False),
   Item('tlsverifypeer', True, True, True, 'store_bool', False),
   Item('whereacl', None, None, False, 'store_acl', False),
@@ -109,12 +108,12 @@
   Item('subsysdirectory', None, None, False, 'store_dir', False),
   Item('tlsallowedcn', None, None, False, 'store_alist_str', False),
-  Item('tlsauthenticate', True, True, False, 'store_bool', False),
+  Item('tlsauthenticate', False, False, False, 'store_bool', False),
   Item('tlscacertificatedir', None, None, False, 'store_dir', False),
   Item('tlscacertificatefile', None, None, False, 'store_dir', False),
   Item('tlscertificate', None, None, False, 'store_dir', False),
   Item('tlsdhfile', None, None, False, 'store_dir', False),
-  Item('tlsenable', True, True, False, 'store_bool', False),
-  Item('tlskey', None, None, False, 'store_dir', False),
-  Item('tlsrequire', True, True, False, 'store_bool', False),
+  Item('tlsenable', False, False, False, 'store_bool', False),
+  Item('tlskey', None, None, False, 'store_dir', False),
+  Item('tlsrequire', False, False, False, 'store_bool', False),
   Item('tlsverifypeer', True, True, True, 'store_bool', False),
   Item('verid', None, None, False, 'store_str', False),
@@ -127,5 +126,5 @@
   Item('enablevss', True, True, True, 'store_bool', False),
   Item('exclude', None, None, False, 'store_inc', False),
-  Item('ignorefilesetchanges', True, True, True, 'store_bool', False),
+  Item('ignorefilesetchanges', False, False, True, 'store_bool', False),
   Item('include', None, None, False, 'store_inc', False),
 ]
@@ -133,15 +132,15 @@
 dird_job_items = [
   Item('name', None, None, False, 'store_name', True),
-  Item('accurate', True, True, False, 'store_bool', False),
+  Item('accurate', False, False, False, 'store_bool', False),
   Item('addprefix', None, None, False, 'store_str', False),
   Item('addsuffix', None, None, False, 'store_str', False),
   Item('allowduplicatejobs', True, True, True, 'store_bool', False),
   Item('allowhigherduplicates', True, True, True, 'store_bool', False),
-  Item('allowmixedpriority', True, True, True, 'store_bool', False),
+  Item('allowmixedpriority', False, False, True, 'store_bool', False),
   Item('base', None, None, False, 'store_alist_res', False),
   Item('bootstrap', None, None, False, 'store_dir', False),
-  Item('cancellowerlevelduplicates', True, True, True, 'store_bool', False),
-  Item('cancelqueuedduplicates', True, True, True, 'store_bool', False),
-  Item('cancelrunningduplicates', True, True, True, 'store_bool', False),
+  Item('cancellowerlevelduplicates', False, False, True, 'store_bool', False),
+  Item('cancelqueuedduplicates', False, False, True, 'store_bool', False),
+  Item('cancelrunningduplicates', False, False, True, 'store_bool', False),
   Item('client', None, None, False, 'store_res', True),
   Item('clientrunafterjob', None, None, False, 'store_short_runscript', False),
@@ -173,15 +172,16 @@
   Item('pool', None, None, False, 'store_res', True),
   Item('prefermountedvolumes', True, True, True, 'store_bool', False),
-  Item('prefixlinks', True, True, True, 'store_bool', False),
+  Item('prefixlinks', False, False, True, 'store_bool', False),
   Item('priority', 10, 10, True, 'store_pint32', False),
-  Item('prunefiles', True, True, True, 'store_bool', False),
-  Item('prunejobs', True, True, True, 'store_bool', False),
-  Item('prunevolumes', True, True, True, 'store_bool', False),
+  Item('prunefiles', False, False, True, 'store_bool', False),
+  Item('prunejobs', False, False, True, 'store_bool', False),
+  Item('prunevolumes', False, False, True, 'store_bool', False),
+  Item('purgemigrationjob', False, False, True, 'store_bool', False),
   Item('regexwhere', None, None, False, 'store_str', False),
   Item('replace', 0, 0, True, 'store_replace', False),
-  Item('rerunfailedlevels', True, True, True, 'store_bool', False),
+  Item('rerunfailedlevels', False, False, True, 'store_bool', False),
   Item('rescheduleinterval', '1800', '1800', True, 'store_time', False),
-  Item('rescheduleonerror', True, True, True, 'store_bool', False),
-  Item('rescheduletimes', None, None, False, 'store_pint32', False),
+  Item('rescheduleonerror', False, False, True, 'store_bool', False),
+  Item('rescheduletimes', None, 5, False, 'store_pint32', False),
   Item('run', None, None, False, 'store_alist_str', False),
   Item('runafterfailedjob', None, None, False, 'store_short_runscript', False),
@@ -192,6 +192,6 @@
   Item('selectionpattern', None, None, False, 'store_str', False),
   Item('selectiontype', None, None, False, 'store_migtype', False),
-  Item('spoolattributes', True, True, True, 'store_bool', False),
-  Item('spooldata', True, True, True, 'store_bool', False),
+  Item('spoolattributes', False, False, True, 'store_bool', False),
+  Item('spooldata', False, False, True, 'store_bool', False),
   Item('spoolsize', None, None, False, 'store_size64', False),
   Item('storage', None, None, False, 'store_alist_res', False),
@@ -227,13 +227,13 @@
   Item('nextpool', None, None, False, 'store_res', False),
   Item('pooltype', None, None, False, 'store_strname', True),
-  Item('purgeoldestvolume', True, True, False, 'store_bool', False),
+  Item('purgeoldestvolume', False, False, False, 'store_bool', False),
   Item('recycle', True, True, True, 'store_bool', False),
-  Item('recyclecurrentvolume', True, True, False, 'store_bool', False),
-  Item('recycleoldestvolume', True, True, False, 'store_bool', False),
+  Item('recyclecurrentvolume', False, False, False, 'store_bool', False),
+  Item('recycleoldestvolume', False, False, False, 'store_bool', False),
   Item('recyclepool', None, None, False, 'store_res', False),
   Item('scratchpool', None, None, False, 'store_res', False),
   Item('storage', None, None, False, 'store_alist_res', False),
   Item('usecatalog', True, True, True, 'store_bool', False),
-  Item('usevolumeonce', True, True, False, 'store_bool', False),
+  Item('usevolumeonce', False, False, False, 'store_bool', False),
   Item('volumeretention', '31536000', '31536000', True, 'store_time', False),
   Item('volumeuseduration', 'None', 'None', False, 'store_time', False),
@@ -262,5 +262,5 @@
   Item('address', None, None, False, 'store_str', True),
   Item('allowcompression', True, True, True, 'store_bool', False),
-  Item('autochanger', True, True, True, 'store_bool', False),
+  Item('autochanger', False, False, True, 'store_bool', False),
   Item('description', None, None, False, 'store_str', False),
   Item('device', None, None, False, 'store_device', True),
@@ -274,14 +274,14 @@
   Item('sdpassword', None, None, False, 'store_password', False),
   Item('sdport', 9103, 9103, True, 'store_pint32', False),
-  Item('tlsauthenticate', True, True, False, 'store_bool', False),
-  Item('tlscacertificatedir', None, None, False, 'store_dir', False),
-  Item('tlscacertificatefile', None, None, False, 'store_dir', False),
-  Item('tlscertificate', None, None, False, 'store_dir', False),
-  Item('tlsenable', True, True, False, 'store_bool', False),
-  Item('tlskey', None, None, False, 'store_dir', False),
-  Item('tlsrequire', True, True, False, 'store_bool', False),
-]
-
-console_con_items = [
+  Item('tlsauthenticate', False, False, False, 'store_bool', False),
+  Item('tlscacertificatedir', None, None, False, 'store_dir', False),
+  Item('tlscacertificatefile', None, None, False, 'store_dir', False),
+  Item('tlscertificate', None, None, False, 'store_dir', False),
+  Item('tlsenable', False, False, False, 'store_bool', False),
+  Item('tlskey', None, None, False, 'store_dir', False),
+  Item('tlsrequire', False, False, False, 'store_bool', False),
+]
+
+console_cons_items = [
   Item('name', None, None, False, 'store_name', True),
   Item('description', None, None, False, 'store_str', False),
@@ -291,11 +291,11 @@
   Item('password', None, None, False, 'store_password', True),
   Item('rcfile', None, None, False, 'store_dir', False),
-  Item('tlsauthenticate', True, True, False, 'store_bool', False),
-  Item('tlscacertificatedir', None, None, False, 'store_dir', False),
-  Item('tlscacertificatefile', None, None, False, 'store_dir', False),
-  Item('tlscertificate', None, None, False, 'store_dir', False),
-  Item('tlsenable', True, True, False, 'store_bool', False),
-  Item('tlskey', None, None, False, 'store_dir', False),
-  Item('tlsrequire', True, True, False, 'store_bool', False),
+  Item('tlsauthenticate', False, False, False, 'store_bool', False),
+  Item('tlscacertificatedir', None, None, False, 'store_dir', False),
+  Item('tlscacertificatefile', None, None, False, 'store_dir', False),
+  Item('tlscertificate', None, None, False, 'store_dir', False),
+  Item('tlsenable', False, False, False, 'store_bool', False),
+  Item('tlskey', None, None, False, 'store_dir', False),
+  Item('tlsrequire', False, False, False, 'store_bool', False),
 ]
 
@@ -307,11 +307,11 @@
   Item('heartbeatinterval', 'None', 'None', True, 'store_time', False),
   Item('password', None, None, False, 'store_password', True),
-  Item('tlsauthenticate', True, True, False, 'store_bool', False),
-  Item('tlscacertificatedir', None, None, False, 'store_dir', False),
-  Item('tlscacertificatefile', None, None, False, 'store_dir', False),
-  Item('tlscertificate', None, None, False, 'store_dir', False),
-  Item('tlsenable', True, True, False, 'store_bool', False),
-  Item('tlskey', None, None, False, 'store_dir', False),
-  Item('tlsrequire', True, True, False, 'store_bool', False),
+  Item('tlsauthenticate', False, False, False, 'store_bool', False),
+  Item('tlscacertificatedir', None, None, False, 'store_dir', False),
+  Item('tlscacertificatefile', None, None, False, 'store_dir', False),
+  Item('tlscertificate', None, None, False, 'store_dir', False),
+  Item('tlsenable', False, False, False, 'store_bool', False),
+  Item('tlskey', None, None, False, 'store_dir', False),
+  Item('tlsrequire', False, False, False, 'store_bool', False),
 ]
 
@@ -328,8 +328,8 @@
   Item('messages', None, None, False, 'store_res', False),
   Item('piddirectory', None, None, False, 'store_dir', True),
-  Item('pkiencryption', True, True, True, 'store_bool', False),
+  Item('pkiencryption', False, False, True, 'store_bool', False),
   Item('pkikeypair', None, None, False, 'store_dir', False),
   Item('pkimasterkey', None, None, False, 'store_alist_str', False),
-  Item('pkisignatures', True, True, True, 'store_bool', False),
+  Item('pkisignatures', False, False, True, 'store_bool', False),
   Item('pkisigner', None, None, False, 'store_alist_str', False),
   Item('plugindirectory', None, None, False, 'store_dir', False),
@@ -337,11 +337,11 @@
   Item('sdconnecttimeout', '1800', '1800', True, 'store_time', False),
   Item('subsysdirectory', None, None, False, 'store_dir', False),
-  Item('tlsauthenticate', True, True, False, 'store_bool', False),
-  Item('tlscacertificatedir', None, None, False, 'store_dir', False),
-  Item('tlscacertificatefile', None, None, False, 'store_dir', False),
-  Item('tlscertificate', None, None, False, 'store_dir', False),
-  Item('tlsenable', True, True, False, 'store_bool', False),
-  Item('tlskey', None, None, False, 'store_dir', False),
-  Item('tlsrequire', True, True, False, 'store_bool', False),
+  Item('tlsauthenticate', False, False, False, 'store_bool', False),
+  Item('tlscacertificatedir', None, None, False, 'store_dir', False),
+  Item('tlscacertificatefile', None, None, False, 'store_dir', False),
+  Item('tlscertificate', None, None, False, 'store_dir', False),
+  Item('tlsenable', False, False, False, 'store_bool', False),
+  Item('tlskey', None, None, False, 'store_dir', False),
+  Item('tlsrequire', False, False, False, 'store_bool', False),
   Item('verid', None, None, False, 'store_str', False),
   Item('workingdirectory', None, None, False, 'store_dir', True),
@@ -352,15 +352,15 @@
   Item('address', None, None, False, 'store_str', False),
   Item('description', None, None, False, 'store_str', False),
-  Item('monitor', True, True, True, 'store_bool', False),
+  Item('monitor', False, False, True, 'store_bool', False),
   Item('password', None, None, False, 'store_password', True),
   Item('tlsallowedcn', None, None, False, 'store_alist_str', False),
-  Item('tlsauthenticate', True, True, False, 'store_bool', False),
+  Item('tlsauthenticate', False, False, False, 'store_bool', False),
   Item('tlscacertificatedir', None, None, False, 'store_dir', False),
   Item('tlscacertificatefile', None, None, False, 'store_dir', False),
   Item('tlscertificate', None, None, False, 'store_dir', False),
   Item('tlsdhfile', None, None, False, 'store_dir', False),
-  Item('tlsenable', True, True, False, 'store_bool', False),
-  Item('tlskey', None, None, False, 'store_dir', False),
-  Item('tlsrequire', True, True, False, 'store_bool', False),
+  Item('tlsenable', False, False, False, 'store_bool', False),
+  Item('tlskey', None, None, False, 'store_dir', False),
+  Item('tlsrequire', False, False, False, 'store_bool', False),
   Item('tlsverifypeer', True, True, True, 'store_bool', False),
 ]
@@ -379,6 +379,6 @@
   Item('alwaysopen', True, True, True, 'store_bit', False),
   Item('archivedevice', None, None, False, 'store_strname', True),
-  Item('autochanger', True, True, True, 'store_bit', False),
-  Item('automaticmount', True, True, True, 'store_bit', False),
+  Item('autochanger', False, False, True, 'store_bit', False),
+  Item('automaticmount', False, False, True, 'store_bit', False),
   Item('autoselect', True, True, True, 'store_bool', False),
   Item('backwardspacefile', True, True, True, 'store_bit', False),
@@ -386,9 +386,9 @@
   Item('blockchecksum', True, True, True, 'store_bit', False),
   Item('blockpositioning', True, True, True, 'store_bit', False),
-  Item('bsfateom', True, True, True, 'store_bit', False),
+  Item('bsfateom', False, False, True, 'store_bit', False),
   Item('changercommand', None, None, False, 'store_strname', False),
   Item('changerdevice', None, None, False, 'store_strname', False),
-  Item('checklabels', True, True, True, 'store_bit', False),
-  Item('closeonpoll', True, True, True, 'store_bit', False),
+  Item('checklabels', False, False, True, 'store_bit', False),
+  Item('closeonpoll', False, False, True, 'store_bit', False),
   Item('description', None, None, False, 'store_str', False),
   Item('devicetype', None, None, False, 'store_devtype', False),
@@ -400,5 +400,5 @@
   Item('hardwareendoffile', True, True, True, 'store_bit', False),
   Item('hardwareendofmedium', True, True, True, 'store_bit', False),
-  Item('labelmedia', True, True, True, 'store_bit', False),
+  Item('labelmedia', False, False, True, 'store_bit', False),
   Item('labeltype', None, None, False, 'store_label', False),
   Item('maximumblocksize', None, None, False, 'store_maxblocksize', False),
@@ -418,10 +418,10 @@
   Item('mountcommand', None, None, False, 'store_strname', False),
   Item('mountpoint', None, None, False, 'store_strname', False),
-  Item('offlineonunmount', True, True, True, 'store_bit', False),
-  Item('randomaccess', True, True, False, 'store_bit', False),
+  Item('offlineonunmount', False, False, True, 'store_bit', False),
+  Item('randomaccess', False, False, False, 'store_bit', False),
   Item('removablemedia', True, True, True, 'store_bit', False),
-  Item('requiresmount', True, True, True, 'store_bit', False),
+  Item('requiresmount', False, False, True, 'store_bit', False),
   Item('spooldirectory', None, None, False, 'store_dir', False),
-  Item('twoeof', True, True, True, 'store_bit', False),
+  Item('twoeof', False, False, True, 'store_bit', False),
   Item('unmountcommand', None, None, False, 'store_strname', False),
   Item('usemtiocget', True, True, True, 'store_bit', False),
@@ -434,15 +434,15 @@
   Item('name', None, None, False, 'store_name', True),
   Item('description', None, None, False, 'store_str', False),
-  Item('monitor', True, True, False, 'store_bool', False),
+  Item('monitor', False, False, False, 'store_bool', False),
   Item('password', None, None, False, 'store_password', True),
   Item('tlsallowedcn', None, None, False, 'store_alist_str', False),
-  Item('tlsauthenticate', True, True, False, 'store_bool', False),
+  Item('tlsauthenticate', False, False, False, 'store_bool', False),
   Item('tlscacertificatedir', None, None, False, 'store_dir', False),
   Item('tlscacertificatefile', None, None, False, 'store_dir', False),
   Item('tlscertificate', None, None, False, 'store_dir', False),
   Item('tlsdhfile', None, None, False, 'store_dir', False),
-  Item('tlsenable', True, True, False, 'store_bool', False),
-  Item('tlskey', None, None, False, 'store_dir', False),
-  Item('tlsrequire', True, True, False, 'store_bool', False),
+  Item('tlsenable', False, False, False, 'store_bool', False),
+  Item('tlskey', None, None, False, 'store_dir', False),
+  Item('tlsrequire', False, False, False, 'store_bool', False),
   Item('tlsverifypeer', True, True, True, 'store_bool', False),
 ]
@@ -463,12 +463,12 @@
   Item('subsysdirectory', None, None, False, 'store_dir', False),
   Item('tlsallowedcn', None, None, False, 'store_alist_str', False),
-  Item('tlsauthenticate', True, True, False, 'store_bool', False),
+  Item('tlsauthenticate', False, False, False, 'store_bool', False),
   Item('tlscacertificatedir', None, None, False, 'store_dir', False),
   Item('tlscacertificatefile', None, None, False, 'store_dir', False),
   Item('tlscertificate', None, None, False, 'store_dir', False),
   Item('tlsdhfile', None, None, False, 'store_dir', False),
-  Item('tlsenable', True, True, False, 'store_bool', False),
-  Item('tlskey', None, None, False, 'store_dir', False),
-  Item('tlsrequire', True, True, False, 'store_bool', False),
+  Item('tlsenable', False, False, False, 'store_bool', False),
+  Item('tlskey', None, None, False, 'store_dir', False),
+  Item('tlsrequire', False, False, False, 'store_bool', False),
   Item('tlsverifypeer', True, True, True, 'store_bool', False),
   Item('verid', None, None, False, 'store_str', False),
@@ -560,5 +560,5 @@
 console_resources = [
   [ 'director' , 'R_DIRECTOR', console_dir_items ], 
-  [ 'console' , 'R_CONSOLE', console_con_items ], 
+  [ 'console' , 'R_CONSOLE', console_cons_items ], 
 ]
 